# Get Transactions

To get your transactions, make a POST request to the following endpoint:

<pre><code><strong>https://api.peach-in.com/v4/transactions/search
</strong></code></pre>

**Request**

Include your API key in the Authorization header of the request, as described in the [Authorization ](/peach/api-reference/authentication.md)section.

**Response**

A successful response to the get transactions  endpoint will return the results in the JSON format. The response will include various details about the transactions and any associated details including pagination details.&#x20;

<mark style="color:green;">`POST`</mark> `https://api.peach-in.com/v4/transactions/search`

#### Request Body

<table><thead><tr><th>Name</th><th width="151">Type</th><th>Description</th><th>Default</th></tr></thead><tbody><tr><td>startDate</td><td>Date (Timestamp / ISO string )</td><td>Used to specify the start date for retrieving transactions</td><td>30 days ago</td></tr><tr><td>endDate</td><td>Date (Timestamp / ISO string )</td><td>Used to specify the end date for retrieving transactions</td><td>today</td></tr><tr><td>limit</td><td>number</td><td>The Maximum rows return is 1000 </td><td>100</td></tr><tr><td>paginationKey</td><td>object</td><td>Used for pagination in scenarios where there are large sets of transaction data and the response needs to be split into multiple pages</td><td></td></tr><tr><td>campaignId</td><td>string</td><td>Used to filter out result by campaignId</td><td></td></tr></tbody></table>

## Example Request Body

```json

{
    "limit": 500,
    "startDate": 1704067200000,
    "endDate": 1715521698324
}

```

If the response includes a paginationKey, it indicates additional results are available. To retrieve the next set of results, include the paginationKey in your subsequent request.

## [**Example Response**](#user-content-fn-1)[^1]

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "results": [
    
        {
            "transactionId": "987726cb-dd6b-4bce-b6f0-4d47c3d7d452",
            "transactionDate": "2024-05-09T14:19:31.616Z",
            "receiptNumber": 105,
            "status": "processed",
            "paymentType": "cc",
            "amount": 66,
            "currency": "ILS",
            "firstName": "Edwin",
            "lastName": "Barrows",
            "displayName": "Edwin Barrows",
            "phoneNumber": "+9724883039426",
            "email": "edwin.barrows@hotmail.com",
            "category": "donation",
            "lastCC4Digits": "4242",
            "isCompleted": true,
            "isCancelled": false,
            "customProperties": {},
            "transactionType": "charge",
            "createdAt": "2024-05-09T14:19:47.643Z",
            "updatedAt": "2024-05-09T14:19:47.643Z",
            "internalComments": "",
            "receiptEmail": "edwin.barrows@hotmail.com",
            "sum": 66,
            "paymentMethod": "stripe",
            "receiptUrl": "https://resources.peach-in.com/orgs/23456/documents/קבלת תרומה..pdf",
            "receiptId": "94828b10-3a9a-48f7-9dd4-f697352f2030",
            "contactId": "e359e2e0-a00a-11ee-8abe-81159ab1da1f",
            "campaignId": "tTaB",
            "groupName": "the minionsns",
            "linkId": "yPLUJf8N2che",
            "agentId": "jDsg1Gen",
            "agentName": "Elon Musk"
        }
    ],
    "paginationKey": {
        "accountId": "SGrR",
        "transactionDate": 1715264371616,
        "transactionId": "987726cb-dd6b-4bce-b6f0-4d47c3d7d456"
    }
}
```

{% endtab %}
{% endtabs %}

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://peach-organization.gitbook.io/peach/api-reference/transactions/get-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
